=== debian/changelog ===
ros-rolling-hardware-interface (2.1.0-1focal) focal; urgency=high

  * Removing 'auto' from function definition to support pre c++ 20 (#608 <https://github.com/ros-controls/ros2_control/issues/608>)
  * Support of "initial_value" for the 'FakeSystem' (#598 <https://github.com/ros-controls/ros2_control/issues/598>)
  * Contributors: bailaC, Denis Štogl

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 11 Jan 2022 00:00:00 -0000

ros-rolling-hardware-interface (2.0.0-1focal) focal; urgency=high

  * Adding support for 'initial_value' parameter. (#593 <https://github.com/ros-controls/ros2_control/issues/593>)
  * fix copy paste error in documentation (#594 <https://github.com/ros-controls/ros2_control/issues/594>)
  * Use lambda functions in ros2_control generic_system for repetitive tasks (#579 <https://github.com/ros-controls/ros2_control/issues/579>)
    Co-authored-by: Denis Štogl <mailto:destogl@users.noreply.github.com>
  * Extend FakeHardware to support <gpio>-tag (#574 <https://github.com/ros-controls/ros2_control/issues/574>)
  * Contributors: Michael, bailaC, Denis Štogl

 -- Karsten Knese <karsten@osrfoundation.org>  Wed, 29 Dec 2021 00:00:00 -0000

ros-rolling-hardware-interface (1.2.0-1focal) focal; urgency=high

  * Import and Initialize components (#566 <https://github.com/ros-controls/ros2_control/issues/566>)
  * Contributors: Alejandro Hernández Cordero

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 05 Nov 2021 00:00:00 -0000

ros-rolling-hardware-interface (1.1.0-1focal) focal; urgency=high

  * Handle errors of hardware that happen on read and write. (#546 <https://github.com/ros-controls/ros2_control/issues/546>)
  * Contributors: Denis Štogl, Mathias Aarbo

 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 24 Oct 2021 23:00:00 -0000

ros-rolling-hardware-interface (1.0.0-1focal) focal; urgency=high

  * Hardware components extension for lifecycle support (#503 <https://github.com/ros-controls/ros2_control/issues/503>)
  * add M_PI macro for windows in test_component_parser.cpp (#502 <https://github.com/ros-controls/ros2_control/issues/502>)
  * Extend GenericSystem by adding mapping of position with offset to custom interface. (#469 <https://github.com/ros-controls/ros2_control/issues/469>)
  * Remove BOOST compiler definitions for pluginlib from CMakeLists (#514 <https://github.com/ros-controls/ros2_control/issues/514>)
  * Do not manually set C++ version to 14 (#516 <https://github.com/ros-controls/ros2_control/issues/516>)
  * Contributors: Bence Magyar, Denis Štogl, dzyGIT

 -- Karsten Knese <karsten@osrfoundation.org>  Tue, 28 Sep 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.8.0-1focal) focal; urgency=high

  * Use clang format as code formatter (#491 <https://github.com/ros-controls/ros2_control/issues/491>)
  * Fixup doc typo (#492 <https://github.com/ros-controls/ros2_control/issues/492>)
  * Add docs for fake components (#466 <https://github.com/ros-controls/ros2_control/issues/466>)
  * sort interfaces in resource manager (#483 <https://github.com/ros-controls/ros2_control/issues/483>)
  * fix format (#484 <https://github.com/ros-controls/ros2_control/issues/484>)
  * Transmission parsing v2 (#471 <https://github.com/ros-controls/ros2_control/issues/471>)
    * move parsing responsibility to hardware_interface
    * parse transmission type
    * Cleanup unused parser
  * Add pre-commit setup. (#473 <https://github.com/ros-controls/ros2_control/issues/473>)
  * Extended GenericSystem with state offset options for testing some special control cases. (#350 <https://github.com/ros-controls/ros2_control/issues/350>)
    * Extended GenericSystem with state offset options for testing some special control cases.
    * Better parameter name
    * Apply offset only to position interfaces.
  * Added GPIO parsing and test (#436 <https://github.com/ros-controls/ros2_control/issues/436>)
  * Fixes for windows (#443 <https://github.com/ros-controls/ros2_control/issues/443>)
    * Fix building on windows
    * Fix MSVC linker error when building tests
    * Fix hang when loading controller on windows
    * Use better log for configuring controller
    * Be consistent with visibility control
    * Use try_lock throw exception on failure
  * Contributors: Akash, Bence Magyar, Denis Štogl, Karsten Knese, Mathias Arbo, Jafar Abdi

 -- Karsten Knese <karsten@osrfoundation.org>  Fri, 27 Aug 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.7.1-1focal) focal; urgency=high

  * [FakeSystem] Set default command interface to NaN (#424 <https://github.com/ros-controls/ros2_control/issues/424>)
  * Contributors: Denis Štogl, Bence Magyar

 -- Karsten Knese <karsten@osrfoundation.org>  Mon, 14 Jun 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.7.0-1focal) focal; urgency=high

  * Add FTS as first semantic components to simplify controllers. (#370 <https://github.com/ros-controls/ros2_control/issues/370>)
  * Contributors: bailaC, Denis Štogl, Jordan Palacios

 -- Karsten Knese <karsten@osrfoundation.org>  Sat, 05 Jun 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.6.1-1focal) focal; urgency=high



 -- Karsten Knese <karsten@osrfoundation.org>  Sun, 30 May 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.6.0-1focal) focal; urgency=high

  * Remove the with_value_ptr and class templatization for ReadOnlyHandle (#379 <https://github.com/ros-controls/ros2_control/issues/379>)
  * fake_components: Add mimic joint to generic system (#409 <https://github.com/ros-controls/ros2_control/issues/409>)
  * List controller claimed interfaces (#407 <https://github.com/ros-controls/ros2_control/issues/407>)
  * Contributors: El Jawad Alaa, Jafar Abdi, Jordan Palacios, Bence Magyar

 -- Karsten Knese <karsten@osrfoundation.org>  Sat, 22 May 2021 23:00:00 -0000

ros-rolling-hardware-interface (0.5.0-1focal) focal; urgency=high


