=== debian/control ===
Source: ros-rolling-hardware-interface
Section: misc
Priority: optional
Maintainer: Karsten Knese <karsten@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock, ros-rolling-ament-lint-auto, ros-rolling-ament-lint-common, ros-rolling-control-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-ros2-control-test-assets, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-control-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Description: ROS2 ros_control hardware interface
