=== debian/changelog ===
ros-rolling-hardware-interface (3.18.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 16 Aug 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.17.0-1jammy) jammy; urgency=high

  * Add checks if hardware is initialized. (#1054 <https://github.com/ros-controls/ros2_control/issues/1054>)
  * Contributors: Dr. Denis

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sun, 06 Aug 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.16.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 08 Jul 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.15.0-1jammy) jammy; urgency=high

  * Enable setting of initial state in HW compoments (#1046 <https://github.com/ros-controls/ros2_control/issues/1046>)
  * Ensure instantiation of hardware classes work for python bindings (#1058 <https://github.com/ros-controls/ros2_control/issues/1058>)
  * Contributors: Dr. Denis, Olivier Stasse

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 22 Jun 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.14.0-1jammy) jammy; urgency=high

  * Add -Wconversion flag to protect future developments (#1053 <https://github.com/ros-controls/ros2_control/issues/1053>)
  * [CM] Use robot_description topic instead of parameter and don't crash on empty URDF 🦿 (#940 <https://github.com/ros-controls/ros2_control/issues/940>)
  * [MockHardware] Enable disabling of command to simulate HW failures. (#1027 <https://github.com/ros-controls/ros2_control/issues/1027>)
  * enable ReflowComments to also use ColumnLimit on comments (#1037 <https://github.com/ros-controls/ros2_control/issues/1037>)
  * Docs: Use branch name substitution for all links (#1031 <https://github.com/ros-controls/ros2_control/issues/1031>)
  * [URDF Parser] Allow empty urdf tag, e.g., parameter (#1017 <https://github.com/ros-controls/ros2_control/issues/1017>)
  * Use consequently 'mock' instead of 'fake'. (#1026 <https://github.com/ros-controls/ros2_control/issues/1026>)
  * Contributors: Christoph Fröhlich, Dr. Denis, Felix Exner (fexner), Manuel Muth, Sai Kishor Kothakota, gwalck

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 13 Jun 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.13.0-1jammy) jammy; urgency=high

  * Add class for thread management of async hw interfaces (#981 <https://github.com/ros-controls/ros2_control/issues/981>)
  * Fix github links on control.ros.org (#1019 <https://github.com/ros-controls/ros2_control/issues/1019>)
  * Update precommit libraries(#1020 <https://github.com/ros-controls/ros2_control/issues/1020>)
  * Implement parse_bool and refactor a few (#1014 <https://github.com/ros-controls/ros2_control/issues/1014>)
  * docs: Fix link to hardware_components (#1009 <https://github.com/ros-controls/ros2_control/issues/1009>)
  * Contributors: Alejandro Bordallo, Christoph Fröhlich, Felix Exner (fexner), Márk Szitanics, mosfet80

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 17 May 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.12.2-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 28 Apr 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.12.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 13 Apr 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.12.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Sat, 01 Apr 2023 23:00:00 -0000

ros-rolling-hardware-interface (3.11.0-1jammy) jammy; urgency=high

  * Check for missing hardware interfaces that use the gpio tag. (#975 <https://github.com/ros-controls/ros2_control/issues/975>)
  * Contributors: Ryan Sandzimier

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Wed, 22 Mar 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.10.0-1jammy) jammy; urgency=high

  * Split transmission interfaces (#938 <https://github.com/ros-controls/ros2_control/issues/938>)
  * Contributors: Noel Jiménez García

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 16 Mar 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.9.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 09 Mar 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.9.0-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 28 Feb 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.8.0-1jammy) jammy; urgency=high

  * Fix CMake install so overriding works (#926 <https://github.com/ros-controls/ros2_control/issues/926>)
  * Async params (#927 <https://github.com/ros-controls/ros2_control/issues/927>)
  * Contributors: Márk Szitanics, Tyler Weaver

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 10 Feb 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.7.0-1jammy) jammy; urgency=high

  * Make double parsing locale independent (#921 <https://github.com/ros-controls/ros2_control/issues/921>)
  * Contributors: Henning Kayser

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Tue, 24 Jan 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.6.0-1jammy) jammy; urgency=high

  * 🔧 Fixes and updated on pre-commit hooks and their action (#890 <https://github.com/ros-controls/ros2_control/issues/890>)
  * Contributors: Denis Štogl

 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Thu, 12 Jan 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.5.1-1jammy) jammy; urgency=high



 -- Bence Magyar <bence.magyar.robotics@gmail.com>  Fri, 06 Jan 2023 00:00:00 -0000

ros-rolling-hardware-interface (3.5.0-1jammy) jammy; urgency=high

  * ResourceManager doesn't always log an error on shutdown anymore (#867 <https://github.com/ros-controls/ros2_control/issues/867>)
  * Rename class type to plugin name #api-breaking #abi-breaking (#780 <https://github.com/ros-controls/ros2_control/issues/780>)
  * Contributors: Bence Magyar, Christopher Wecht


