=== debian/control ===
Source: ros-rolling-hardware-interface
Section: misc
Priority: optional
Maintainer: Bence Magyar <bence.magyar.robotics@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-rolling-ament-cmake, ros-rolling-ament-cmake-gmock <!nocheck>, ros-rolling-control-msgs, ros-rolling-lifecycle-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-ros2-control-test-assets <!nocheck>, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Homepage: 
Standards-Version: 3.9.2

Package: ros-rolling-hardware-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-rolling-control-msgs, ros-rolling-lifecycle-msgs, ros-rolling-pluginlib, ros-rolling-rclcpp-lifecycle, ros-rolling-rcpputils, ros-rolling-rcutils, ros-rolling-tinyxml2-vendor, ros-rolling-ros-workspace
Description: ros2_control hardware interface
